MBSINIT(3) | NetBSD Library Functions Manual | MBSINIT(3)

# NAME

mbsinit — determines whether the state object is in the initial state

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <wchar.h>

int
mbsinit(const mbstate_t *ps);

# DESCRIPTION

The mbsinit() determines whether the state object pointed to by ps is the initial conversion state, or not.

ps may be a null pointer. In this case, mbsinit() will always return non-zero.

# RETURN VALUES

mbsinit() returns:

0
  The current state is not the initial state.
non-zero
  The current state is the initial state or ps is a null pointer.

# ERRORS

No errors are defined.

# STANDARDS

The mbsinit() conforms to ISO/IEC 9899/AMD1:1995 (“ISO C90”).

February 3, 2002 | NetBSD 5.99